> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/layouts.md).

# Layouts

- [Layout Editor Overview](https://docs.xibosignage.com/layouts/layouts_editor.md): The Layout Editor is used to create new Layout designs and when an existing Layout needs a Design change.
- [Using Templates](https://docs.xibosignage.com/layouts/layouts_editor_using_templates.md): Use Templates to speed up the design process so that Users can customise content rather than having to start from scratch building Layout designs.
- [Using Library Searches](https://docs.xibosignage.com/layouts/layouts_editor_library_search.md): Xibo supports a variety of file based Media types. Along with Image, Video and Audio files, show PDF's, PowerPoints as well as complete HTML Packages on your Displays.
- [Using Global Elements](https://docs.xibosignage.com/layouts/layouts_editor_global_elements.md): Xibo has a variety of tools available for Users to add to Layouts from the Toolbox when using the Layout Editor.
- [Data Widgets](https://docs.xibosignage.com/layouts/layouts_editor_data_widgets.md): Data Widgets rely on an external data source to show information on Layouts by using Elements.
- [Editing Tools](https://docs.xibosignage.com/layouts/layouts_editor_editing_tools.md): Xibo has a variety of editing tools to assist Users when using the Layout Editor to build and create designs to show on Displays.
- [Layout Design Changes](https://docs.xibosignage.com/layouts/layouts_editor_design_changes.md): From time to time, Layouts may need design changes/updates to keep content fresh and relevant.
- [Playlists](https://docs.xibosignage.com/layouts/layouts_editor_playlists.md): Playlists are used to show a sequence of media items, such as an image slideshow.
- [Widgets](https://docs.xibosignage.com/layouts/layouts_editor_widgets.md): Widgets are a core component and are used to display content on a Layout or in a Playlist.
- [Interactive actions](https://docs.xibosignage.com/layouts/layouts_interactive_actions.md): Create Interactive actions on Layouts to trigger content changes to show on your Displays.
- [Templates](https://docs.xibosignage.com/layouts/layouts_templates.md): Use Templates to speed up the design process and ensure a corporate standard is maintained.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/layouts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
